Package com.sun.jna.platform.win32

## Class WinUser.CWPSTRUCT

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinUser.CWPSTRUCT

Enclosing interface:
  WinUser

    @FieldOrder({"lParam","wParam","message","hwnd"})
    public static class WinUser.CWPSTRUCT
    extends Structure

Defines the message parameters passed to a WH_CALLWNDPROC hook procedure, CallWndProc.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`WinDef.HWND` `hwnd`
`WinDef.LPARAM` `lParam`
`int` `message`
`WinDef.WPARAM` `wParam`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`CWPSTRUCT()`
`CWPSTRUCT​(Pointer p)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### lParam

    public WinDef.LPARAM lParam

#### wParam

    public WinDef.WPARAM wParam

#### message

    public int message

#### hwnd

    public WinDef.HWND hwnd

### Constructor Detail

#### CWPSTRUCT

    public CWPSTRUCT()

#### CWPSTRUCT

    public CWPSTRUCT​(Pointer p)